org.richfaces.taglib

## Class DropDownMenuTag

- java.lang.Object
- - javax.faces.webapp.UIComponentTagBase
  - - javax.faces.webapp.UIComponentClassicTagBase
    - - javax.faces.webapp.UIComponentELTag
      - - org.richfaces.webapp.taglib.UIComponentELTagBase
        - - org.ajax4jsf.webapp.taglib.UIComponentTagBase
          - - org.ajax4jsf.webapp.taglib.HtmlComponentTagBase
            - - org.richfaces.taglib.DropDownMenuTag

- All Implemented Interfaces:
    javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspIdConsumer, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

      public class DropDownMenuTag
      extends org.ajax4jsf.webapp.taglib.HtmlComponentTagBase

- - ### Field Summary

    - ### Fields inherited from class javax.faces.webapp.UIComponentClassicTagBase

      `bodyContent, pageContext, UNIQUE_ID_PREFIX`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.Tag

      `EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.BodyTag

      `EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.IterationTag

      `EVAL_BODY_AGAIN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DropDownMenuTag()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getComponentType()`
    `java.lang.String` | `getRendererType()`
    `void` | `release()`
    `void` | `setDirection(javax.el.ValueExpression __direction)` Defines direction of the popup list to appear.
    `void` | `setDisabled(javax.el.ValueExpression __disabled)` Attribute 'disabled' provides possibility to make the whole menu disabled if its value equals to "true".
    `void` | `setDisabledItemClass(javax.el.ValueExpression __disabledItemClass)` Space-separated list of CSS style class(es) that are be applied to disabled item of this component Setter for disabledItemClass
    `void` | `setDisabledItemStyle(javax.el.ValueExpression __disabledItemStyle)` CSS style(s) is/are to be applied to disabled item when this component is rendered.
    `void` | `setDisabledLabelClass(javax.el.ValueExpression __disabledLabelClass)` Space-separated list of CSS style class(es) applied to dropdown menu label when it is disabled.
    `void` | `setEvent(javax.el.ValueExpression __event)` Defines the event on the representation element that triggers the menu's appearance.
    `void` | `setHideDelay(javax.el.ValueExpression __hideDelay)` Delay between losing focus and menu closing.
    `void` | `setHorizontalOffset(javax.el.ValueExpression __horizontalOffset)` Sets the horizontal offset between popup list and label element.
    `void` | `setItemClass(javax.el.ValueExpression __itemClass)` Space-separated list of CSS style class(es) that are be applied to item of this component Setter for itemClass
    `void` | `setItemStyle(javax.el.ValueExpression __itemStyle)` CSS style(s) is/are to be applied to item when this component is rendered.
    `void` | `setJointPoint(javax.el.ValueExpression __jointPoint)` Sets the corner of the label for the pop-up to be connected with.
    `void` | `setLabelClass(javax.el.ValueExpression __labelClass)` Space-separated list of CSS style class(es) applied to dropdown menu label in it normal (neither selected nor disabled) sate.
    `void` | `setOncollapse(javax.el.ValueExpression __oncollapse)` HTML: script expression; a menu is collapsed.
    `void` | `setOnexpand(javax.el.ValueExpression __onexpand)` HTML: script expression; a menu is expanded.
    `void` | `setOngroupactivate(javax.el.ValueExpression __ongroupactivate)` HTML: script expression; some group was activated.
    `void` | `setOnitemselect(javax.el.ValueExpression __onitemselect)` HTML: script expression; some item was selected.
    `void` | `setPopupWidth(javax.el.ValueExpression __popupWidth)` Sets minimal width for all lists that will appear.
    `protected void` | `setProperties(javax.faces.component.UIComponent component)`
    `void` | `setSelectedLabelClass(javax.el.ValueExpression __selectedLabelClass)` Space-separated list of CSS style class(es) applied to dropdown menu label when it is selected.
    `void` | `setSelectItemClass(javax.el.ValueExpression __selectItemClass)` Space-separated list of CSS style class(es) that are be applied to selected item of this component.
    `void` | `setSelectItemStyle(javax.el.ValueExpression __selectItemStyle)` CSS style(s) is/are to be applied to selected item when this component is rendered.
    `void` | `setShowDelay(javax.el.ValueExpression __showDelay)` Delay between event and menu showing.
    `void` | `setSubmitMode(javax.el.ValueExpression __submitMode)` Sets the submission mode for all menu items of the menu except ones where this attribute redefined.
    `void` | `setValue(javax.el.ValueExpression __value)` Defines representation text for Label used for menu calls.
    `void` | `setVerticalOffset(javax.el.ValueExpression __verticalOffset)` Sets the vertical offset between popup list and label element.

    - ### Methods inherited from class org.ajax4jsf.webapp.taglib.HtmlComponentTagBase

      `setDir, setLang, setOnclick, setOndblclick, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setStyle, setStyleClass, setTitle`

    - ### Methods inherited from class org.ajax4jsf.webapp.taglib.UIComponentTagBase

      `getExpressionFactory, isValueReference, setActionListenerProperty, setActionProperty, setBooleanProperty, setBooleanProperty, setDoubleProperty, setDoubleProperty, setFloatProperty, setFloatProperty, setIntegerProperty, setIntegerProperty, setLongProperty, setLongProperty, setProperty, setProperty, setStringProperty, setStringProperty, setValueChangedListenerProperty, setValueProperty, setValueProperty`

    - ### Methods inherited from class org.richfaces.webapp.taglib.UIComponentELTagBase

      `setActionListenerProperty, setActionProperty, setConverterProperty, setRowKeyConverterProperty, setValidatorProperty, setValueChangeListenerProperty`

    - ### Methods inherited from class javax.faces.webapp.UIComponentELTag

      `createComponent, getELContext, hasBinding, setBinding, setRendered`

    - ### Methods inherited from class javax.faces.webapp.UIComponentClassicTagBase

      `addChild, addFacet, addVerbatimAfterComponent, addVerbatimBeforeComponent, createVerbatimComponent, createVerbatimComponentFromBodyContent, doAfterBody, doEndTag, doInitBody, doStartTag, encodeBegin, encodeChildren, encodeEnd, findComponent, getBodyContent, getComponentInstance, getCreated, getCreatedComponents, getDoAfterBodyValue, getDoEndValue, getDoStartValue, getFacesContext, getFacesJspId, getFacetName, getId, getIndexOfNextChildTag, getJspId, getParent, getParentUIComponentClassicTagBase, getPreviousOut, setBodyContent, setId, setJspId, setPageContext, setParent, setupResponseWriter`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.servlet.jsp.tagext.Tag

      `doEndTag, doStartTag, getParent, setPageContext, setParent`

- - ### Constructor Detail

    - #### DropDownMenuTag

          public DropDownMenuTag()

  - ### Method Detail

    - #### setDirection

          public void setDirection(javax.el.ValueExpression __direction)

      Defines direction of the popup list to appear. Possible values are "top-right", "top-right", "top-left", "bottom-right", "bottom-left", "auto". Default value is "auto". Setter for direction
      Parameters:
        `direction` - - new value

    - #### setDisabled

          public void setDisabled(javax.el.ValueExpression __disabled)

      Attribute 'disabled' provides possibility to make the whole menu disabled if its value equals to "true". Default value is "false" Setter for disabled
      Parameters:
        `disabled` - - new value

    - #### setDisabledItemClass

          public void setDisabledItemClass(javax.el.ValueExpression __disabledItemClass)

      Space-separated list of CSS style class(es) that are be applied to disabled item of this component Setter for disabledItemClass
      Parameters:
        `disabledItemClass` - - new value

    - #### setDisabledItemStyle

          public void setDisabledItemStyle(javax.el.ValueExpression __disabledItemStyle)

      CSS style(s) is/are to be applied to disabled item when this component is rendered. Setter for disabledItemStyle
      Parameters:
        `disabledItemStyle` - - new value

    - #### setDisabledLabelClass

          public void setDisabledLabelClass(javax.el.ValueExpression __disabledLabelClass)

      Space-separated list of CSS style class(es) applied to dropdown menu label when it is disabled. Setter for disabledLabelClass
      Parameters:
        `disabledLabelClass` - - new value

    - #### setEvent

          public void setEvent(javax.el.ValueExpression __event)

      Defines the event on the representation element that triggers the menu's appearance. Setter for event
      Parameters:
        `event` - - new value

    - #### setHideDelay

          public void setHideDelay(javax.el.ValueExpression __hideDelay)

      Delay between losing focus and menu closing. Default value is "800". Setter for hideDelay
      Parameters:
        `hideDelay` - - new value

    - #### setHorizontalOffset

          public void setHorizontalOffset(javax.el.ValueExpression __horizontalOffset)

      Sets the horizontal offset between popup list and label element. Default value is "0". conjunction point Setter for horizontalOffset
      Parameters:
        `horizontalOffset` - - new value

    - #### setItemClass

          public void setItemClass(javax.el.ValueExpression __itemClass)

      Space-separated list of CSS style class(es) that are be applied to item of this component Setter for itemClass
      Parameters:
        `itemClass` - - new value

    - #### setItemStyle

          public void setItemStyle(javax.el.ValueExpression __itemStyle)

      CSS style(s) is/are to be applied to item when this component is rendered. Setter for itemStyle
      Parameters:
        `itemStyle` - - new value

    - #### setJointPoint

          public void setJointPoint(javax.el.ValueExpression __jointPoint)

      Sets the corner of the label for the pop-up to be connected with. Possible values are "tr", "tl", "bl", "br", "bottom-left", "auto". Default value is "auto". "tr" stands for top-right. Setter for jointPoint
      Parameters:
        `jointPoint` - - new value

    - #### setLabelClass

          public void setLabelClass(javax.el.ValueExpression __labelClass)

      Space-separated list of CSS style class(es) applied to dropdown menu label in it normal (neither selected nor disabled) sate. Setter for labelClass
      Parameters:
        `labelClass` - - new value

    - #### setOncollapse

          public void setOncollapse(javax.el.ValueExpression __oncollapse)

      HTML: script expression; a menu is collapsed. Setter for oncollapse
      Parameters:
        `oncollapse` - - new value

    - #### setOnexpand

          public void setOnexpand(javax.el.ValueExpression __onexpand)

      HTML: script expression; a menu is expanded. Setter for onexpand
      Parameters:
        `onexpand` - - new value

    - #### setOngroupactivate

          public void setOngroupactivate(javax.el.ValueExpression __ongroupactivate)

      HTML: script expression; some group was activated. Setter for ongroupactivate
      Parameters:
        `ongroupactivate` - - new value

    - #### setOnitemselect

          public void setOnitemselect(javax.el.ValueExpression __onitemselect)

      HTML: script expression; some item was selected. Setter for onitemselect
      Parameters:
        `onitemselect` - - new value

    - #### setPopupWidth

          public void setPopupWidth(javax.el.ValueExpression __popupWidth)

      Sets minimal width for all lists that will appear. Setter for popupWidth
      Parameters:
        `popupWidth` - - new value

    - #### setSelectItemClass

          public void setSelectItemClass(javax.el.ValueExpression __selectItemClass)

      Space-separated list of CSS style class(es) that are be applied to selected item of this component. Setter for selectItemClass
      Parameters:
        `selectItemClass` - - new value

    - #### setSelectItemStyle

          public void setSelectItemStyle(javax.el.ValueExpression __selectItemStyle)

      CSS style(s) is/are to be applied to selected item when this component is rendered. Setter for selectItemStyle
      Parameters:
        `selectItemStyle` - - new value

    - #### setSelectedLabelClass

          public void setSelectedLabelClass(javax.el.ValueExpression __selectedLabelClass)

      Space-separated list of CSS style class(es) applied to dropdown menu label when it is selected. Setter for selectedLabelClass
      Parameters:
        `selectedLabelClass` - - new value

    - #### setShowDelay

          public void setShowDelay(javax.el.ValueExpression __showDelay)

      Delay between event and menu showing. Default value is "50". Setter for showDelay
      Parameters:
        `showDelay` - - new value

    - #### setSubmitMode

          public void setSubmitMode(javax.el.ValueExpression __submitMode)

      Sets the submission mode for all menu items of the menu except ones where this attribute redefined. Possible values are "ajax","server","none". Default value is "sever". Setter for submitMode
      Parameters:
        `submitMode` - - new value

    - #### setValue

          public void setValue(javax.el.ValueExpression __value)

      Defines representation text for Label used for menu calls. Setter for value
      Parameters:
        `value` - - new value

    - #### setVerticalOffset

          public void setVerticalOffset(javax.el.ValueExpression __verticalOffset)

      Sets the vertical offset between popup list and label element. Default value is "0". conjunction point Setter for verticalOffset
      Parameters:
        `verticalOffset` - - new value

    - #### release

          public void release()

      Specified by:
        `release` in interface `javax.servlet.jsp.tagext.Tag`
      Overrides:
        `release` in class `org.ajax4jsf.webapp.taglib.HtmlComponentTagBase`

    - #### setProperties

          protected void setProperties(javax.faces.component.UIComponent component)

      Overrides:
        `setProperties` in class `org.ajax4jsf.webapp.taglib.HtmlComponentTagBase`

    - #### getComponentType

          public java.lang.String getComponentType()

      Specified by:
        `getComponentType` in class `javax.faces.webapp.UIComponentTagBase`

    - #### getRendererType

          public java.lang.String getRendererType()

      Specified by:
        `getRendererType` in class `javax.faces.webapp.UIComponentTagBase`

Copyright © 2014. All Rights Reserved.